using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] nkx = Console.ReadLine().Split();
            int n = int.Parse(nkx[0]); int k = int.Parse(nkx[1]); int x = int.Parse(nkx[2]);
            string[] ulaz = Console.ReadLine().Split(); int[] p = new int[n]; 
            for (int i = 0; i < ulaz.Length; i++)
            {
                p[i] = int.Parse(ulaz[i]);
            }
            for (int i = 0; i < n - k + 1; i++) 
            {
                if (i != n - k) 
                {
                    Console.Write(1 + " ");
                }
                else
                {
                    Console.WriteLine(1);
                }
            }
        }
    }
}